<!DOCTYPE html>
<html>
    <head>
       
         <meta http-equiv="Content-Security-Policy" content="default-src 'self' data: gap: https://ssl.gstatic.com 'unsafe-eval'; style-src 'self' 'unsafe-inline'; media-src *; img-src 'self' data: content:;script-src 'self' 'unsafe-inline';connect-src http://sistemas.cachoeirinha.rs.gov.br/bushido/">
        <meta name="format-detection" content="telephone=no">
        <meta name="msapplication-tap-highlight" content="no">
        <meta name="viewport" content="user-scalable=no, initial-scale=1, maximum-scale=1, minimum-scale=1, width=device-width">
        <link rel="icon" href="img/brasaog.png">
        <link rel="stylesheet" type="text/css" href="css/font-awesome.min.css"> 
        <link rel="stylesheet" type="text/css" href="css/angular-confirm.min.css"> 
        <link rel="stylesheet" type="text/css" href="css/layout2.css">
        <link rel="stylesheet" type="text/css" href="css/ckbutton.css">

        <title>Bushido On</title>
    </head>
    <body ng-app="pmcacho">    
        <!-- MENU do sistema -->
        <div ng-controller="menu.controller">
            <nav  >
                <ul>
                    <li>
                        <button class="btn-menu" ng-click="exibirMenu()"><i class="fa fa-bars"></i></button>
                    </li>
                    <li class="logo">
                        <span>Consulta</span>
                        <img src="img/logo1.png" />
                    </li>

                </ul>

            </nav>  
            <div class="menu-body menu-hidden"  id="menu-screen">
                <ul>
                    <li>
                        <span>{{usuario.nome}}</span>
                    </li>
                    <li>
                        <a href="perfil.html">Perfil</a>
                    </li>
                    <li>
                        <a href="index2.html">Início</a>
                    </li>
                    <li>
                        <a href="consultar.html">Consultar Demanda</a>
                    </li>
                    <li>
                        <a href="abrir.html">Abrir Demanda</a>
                    </li>
                    <li>
                        <a href="#" ng-click="logout()" class="logout">Sair</a>
                    </li>
                </ul>
            </div>

        </div>
        <!-- MENU do sistema -->

        <!-- Carregamento -->

        <div class="loader">
            <img src="img/loader.gif"/>
        </div>
        <!-- Carregamento -->


        <div class="content" ng-controller="consultar.controller" >
            <h4 class="text-bold text-center">Consulta de Demandas</h4>

            <input type="search" placeholder="Termos de pesquisa" class="search-input" ng-model="filtros.termo" />
            <button class="btn-fury-blue-search" ng-click="ativar_pesquisa()">Pesquisar</button>
            <button class="btn-fury-blue-search" ng-click="ativar_pesquisa_avacada()">Pesquisa Avançada</button>
            <button class="btn-fury-blue-search" ng-click="limpar_pesquisa()">Limpar Pesquisa</button>
            <hr/>

            <a class="box" ng-repeat="l in lista track by $index" href="demanda.html?demanda={{l.id}}" ng-class="{true:'nova',false:''}[l.lido=='f']"> 
                <h6>Demanda:&nbsp;<b>{{l.id}}</b></h6>
                <h6>Data:&nbsp;<b>{{l.criacao}}</b></h6>
                <div class="inner-box">
                    <span  ng-bind-html="$sce.trustAsHtml(l.descricao)"></span>
                </div>
                <h6>Solicitante:&nbsp;<b>{{l.solicitante}}</b></h6>
                <h6>Patrimônio / Linha:&nbsp;<b>{{l.patrimonio}}</b></h6>
                <h6>Local:&nbsp;<b>{{l.local}}</b></h6>
            </a>

            <hr/>

            <div  class="filtros-avancados">
                <h3 class="text-bold text-center">Pesquisa Avançada</h3>

                <label class="bushido-label">Solicitante:</label>                
                <input type="text" ng-model="filtros.solicitante" class="filter"/>

                <label class="bushido-label">Data:</label>                
                <input type="date" ng-model="filtros.data" class="filter"/>                

                <label class="bushido-label">Situação:</label>
                <select ng-model="filtros.situacao" class="filter">                    
                    <option value="0">Novo</option>
                    <option value="1">Em andamento</option>
                    <option value="2">Aguardando Manifestação do Usuário</option>
                    <option value="2">Pendente de Terceiros</option>
                    <option value="3">Fechado</option>
                </select>                

                <label class="bushido-label">Grupo:</label>
                <select ng-model="filtros.grupo" ng-options='option.id as option.descricao for option in grupos' class="filter">                    
                </select>                

                <label class="bushido-label">Patrimonio:</label>
                <input type="text" ng-model="filtros.patrimonio" class="filter"/>

                <label class="bushido-label">Linha (móvel):</label>
                <input type="text" ng-model="filtros.linha_movel" class="cel filter"/>

                <label class="bushido-label">Linha (fixa):</label>
                <input type="text" ng-model="filtros.linha_fixa" class="tel filter"/>

                <label class="bushido-label">Descrição:</label>                
                <input type="text" ng-model="filtros.descricao" class="filter" />
                

                <button class="btn-fury-blue" ng-click="aplicar_pesquisa_avacada()">Pesquisar</button>
            </div>
        </div>

        <script type="text/javascript" src="js/jquery-2.1.4.min.js"></script>
        <script type="text/javascript" src="js/jquery.mask.min.js"></script>
        <script type="text/javascript" src="js/angular.min.js"></script>  
        <script type="text/javascript" src="js/angular-confirm.min.js"></script>          
        <script type="text/javascript" src="js/serviceWorker.min.js"></script>  
        <script type="text/javascript" src="js/push.min.js"></script>  
        <script type="text/javascript" src="js/app/app.js"></script>
        <script type="text/javascript" src="js/app/services/service.js"></script>
        <script type="text/javascript" src="js/app/controller/consultar.controller.js"></script>
        <script type="text/javascript" src="cordova.js"></script>
        <script type="text/javascript" src="js/index.js"></script>
        <script type="text/javascript">

            $(document).ready(function () {
                $('.loader').addClass('hide-loader'); 
            });

            document.addEventListener("backbutton", onBackKeyDown, false);

            function onBackKeyDown() {
               window.location.replace("index2.html"); 
            }

            $("#cpf").mask("999.999.999-99");

            $("#cel").mask("(51)99999-9999");

            $("#tel").mask("(51)9999-9999");

            


            // document.addEventListener('deviceready', function () {
            //     cordova.plugins.backgroundMode.enable();
            //     if(cordova.plugins.backgroundMode.isActive()){
            //         var ang = angular.element(document.getElementById('menu.controller')).scope();

            //         ang.verificarChamados();
            //     }
            // }, false);

        </script>
    </body>
</html>
